Skip to navigation

Get deposit history

Retrieve the deposit records according to the currency, deposit status, and time range in reverse chronological order. Records for the last one year are available.

Authentication

OK-ACCESS-KEYstring
Your API key.
OK-ACCESS-SIGNstring

Base64-encoded HMAC-SHA256 signature of the prehash string.

OK-ACCESS-TIMESTAMPstring

ISO 8601 UTC timestamp, e.g. 2020-12-08T09:08:57.715Z.

OK-ACCESS-PASSPHRASEstring
The passphrase you set when creating the API key.

Query parameters

ccystringOptional
Currency, e.g. BTC.
depIdstringOptional
Deposit ID.
fromWdIdstringOptional
Internal transfer initiator's withdrawal ID. Only when deposit comes from internal transfer.
txIdstringOptional
Hash record of the deposit.
typeenumOptional

Deposit type: 3=internal transfer, 4=deposit from chain.

Allowed values:
stateenumOptional

Status of deposit: 0=waiting for confirmation, 1=deposit credited, 2=deposit successful, 8=pending due to temporary deposit suspension, 11=match the address blacklist, 12=account or deposit is frozen, 13=sub-account deposit interception, 14=KYC limit.

afterstringOptional
Pagination of data to return records earlier than the requested ts, Unix timestamp in milliseconds.
beforestringOptional
Pagination of data to return records newer than the requested ts, Unix timestamp in milliseconds.
limitstringOptional

Number of results per request. Maximum is 100; default is 100.

Response

Successful response
codestringOptional

Result code. 0 means success; any other value is an error code.

msgstringOptional
Error message. Empty on success.
datalist of objectsOptional